> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Plan Methods Mapping

The following table contains RatePlan SOAP methods and the equivalent REST operations:

| SOAP Methods | Rest Equivalent | Comments |
| - | - | - |
| `deductEvent` | `POST /events<-amount>` | For REST , make sure to add the minus (-) sign to the amount |
| `fetchAll` | `GET /events` |   |
| `fetchByMerchantRatePlanId` | `GET /rate_plans/<rateplan_id>` |   |
| `fetchByVid` | `GET /rate_plans/<vid>` |   |
| `fetchEventById` | `GET /events/<event>` |   |
| `fetchEvents` | `GET /events` |   |
| `fetchUnBilledEvents` | `GET /events? billed` | For Rest API, the billed query parameter is boolean type. Use false to see unbilled events. |
| `fetchUnBilledRatedUnitsTotal` | `GET /event_summaries? account=<identifier>, subscription=<identifier>, product=<identifier>, rate_plan=<identifier>, after=<datetime>, before=<datetime>, billed=<boolean>` |   |
| `recordEvent` | `POST /events` |   |
| `reverseEvent` | `POST /events/<id>/actions/create_reverse` | For REST, the posting only works when sending with (no body) and if the Event is unbilled. Then it will create a new event, but with the amount reversed and with the merchant ID given the suffix `_reverse` |
| `update` | `POST /rate_plans/<rateplan>` |   |

**Parent topic:**[Operations Mapping](../topics/OperationsMapping)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.